## Introduction

This package is intended for CQL (Clinical Quality Language) developers who desire syntax highlighting support for the [Ace Editor](https://ace.c9.io/#nav=about).

Implementation is simple:

1) Import the cql.js file (also known as a *mode*)

```
import 'cql-ace-syntax/cql'; 
```

2) Set your Ace editor instance's *mode* to 'cql'

```
<div ace-editor [text]="text" style="height: 300px;" [mode]="'cql'"></div>
```

Your editor should now be CQL syntax-sensitive.

*Examples given will vary based on implementation and current technologies (these examples are in TypeScript and written for an Angular2 web app), but the steps should remain constant.